# Build Module

Provides capabilities to build workspace projects.

A simple example of its use is:

     loadModule("/System/Build");
     build("MyProject", FULL_BUILD);

to trigger a full build of the project "MyProject".

## Constants

Constant | Description
--- | ---
CLEAN_BUILD | Build kind constant indicating a clean build request (15)
FULL_BUILD | Build kind constant indicating a full build request (6)
INCREMENTAL_BUILD | Build kind constant indicating an incremental build request (10).

## Method Overview

Method | Description
--- | ---
build() | Builds a project with the given name and build kind.

## Methods

### build

void build(String projectName, [int buildKind])

Builds a project with the given name and build kind.

projectName
  the project name
buildKind
  one of FULL_BUILD, CLEAN_BUILD, INCREMENTAL_BUILD Optional: defaults to <6>.

CoreException
  if the build fails

buildProject("myproject", CLEAN_BUILD)
  ; to make a clean build on the project "myproject"